IBM Support

Security Bulletin: A vulnerability exists in the restricted shell of the IBM FlashSystem 900

Security Bulletin


Summary

A vulnerability exists in the IBM FlashSystem 900 restricted shell (CVE-2021-29873). An exploit of this vulnerability could allow an authenticated attacker to access sensitive information or cause a denial of service.

Vulnerability Details

CVEID:   CVE-2021-29873
DESCRIPTION:   IBM Flash System 900 could allow an authenticated attacker to obtain sensitive information and cause a denial of service due to a restricted shell escape vulnerability.
CVSS Base score: 8.8
CVSS Temporal Score: See: https://exchange.xforce.ibmcloud.com/vulnerabilities/206229 for the current score.
CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H)

Affected Products and Versions

Storage Node machine type and models (MTMs) affected:

  • 9840-AE1 and 9843-AE1
  • 9840-AE2 and 9843-AE2
  • 9840-AE3 and 9843-AE3
Supported storage node code versions which are affected:
  • VRMFs prior to 1.5.2.10
  • VRMFs prior to 1.6.1.4
Note: For information on IBM FlashSystem V9000 SVC code levels affected and remediated, search for the equivalent security bulletin here: IBM Support

Remediation/Fixes

MTMsVRMFAPAR  Remediation/First Fix
FlashSystem 840 MTMs:

9840-AE1 and 9843-AE1

FlashSystem 900 MTMs:

9843-UF3, 9840-AE2, 9843-AE2, 9840-AE3, and 9843-AE3

Note: AE1 systems are no longer supported.

Code fixes are now available, the minimum VRMF containing the fix depending on the code stream: 

Fixed Code VRMF: 

1.6 stream: 1.6.1.4

1.5 stream: 1.5.2.10

N/A FlashSystem 900 fixes are available at IBM's Fix Central website. FlashSystem 840 is no longer supported.


Workarounds and Mitigations

Upgrade to the relevant remediated code version or later. Outside of upgrade, the attacker needs to be authenticated as a user on the system to exploit this vulnerability, so it may be mitigated by only configuring users that can be trusted with administrator privileges

Get Notified about Future Security Bulletins

References

Off

Acknowledgement

The vulnerability was reported to IBM by Kir Ermakov (isox@vulners.com).

Change History

20 October 2021: Initial Publication

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES ""AS IS"" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

Document Location

Worldwide

[{"Business Unit":{"code":"BU054","label":"Systems w\/TPS"},"Product":{"code":"STKMQB","label":"IBM FlashSystem 900"},"Component":"","Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"1.6.1.3, 1.5.2.9","Edition":"1.6.1.3, 1.5.2.9","Line of Business":{"code":"LOB26","label":"Storage"}}]

Document Information

Modified date:
28 October 2021

UID

ibm16507091